Fetch agent schema version
GET /api/v1/agent_schema_version/{agent_schema_version_id}
GET
/api/v1/agent_schema_version/{agent_schema_version_id}
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” agent_schema_version_id
required
Query Parameters
Section titled “Query Parameters ” idempotency_key
One of:
IdempotencyKeyOrNull
Optional idempotency key for ensuring request idempotency
string
Null
Null
string
Responses
Section titled “ Responses ”Success
object
details
AgentSchemaVersion_Details
object
account_id
Account_Id
A valid account ID
string
Example
013xrzp12g3nqk8ngskn1wtxgka5b0nf agent_id
Agent_Id
A valid agent ID
string
Example
013xrzp12g3nqk8nx0y2vfkg4s3jp2qr current_version
Is this the agent’s current schema version?
boolean
environment_id
Environment_Id
A valid environment ID
string
Example
013xrzp12g3nqk8nzxvq7jm2arsfg5h1 external_identifier
External identifier for the agent schema version
string
Example
v0 id
AgentSchemaVersion_Id
A valid agent schema version ID
string
Example
013xrzp12g3nqk8nzntq40gkzaf2d9m2 inserted_at
When the agent schema version was created
string format: date-time
Example
2024-01-01T00:00:00Z span_type_schemas
Map of span type names to their params and result JSON schemas
object
key
additional properties
SpanTypeSchemaDetails
object
name
Span type name
string
params_schema
JSON schema for the span payload
object
key
additional properties
any
params_schema_validation
result_schema
JSON schema for the span result payload (defaults to empty object if omitted when creating)
object
key
additional properties
any
result_schema_validation
template
title
Human-readable title (defaults to name)
string
Example
{ "llm": { "name": "llm", "params_schema": { "properties": { "max_tokens": { "type": "integer" }, "model": { "type": "string" }, "temperature": { "type": "number" } }, "type": "object" }, "result_schema": { "properties": { "tokens": { "type": "integer" } }, "type": "object" } }, "tool": { "name": "tool", "params_schema": { "properties": { "input": { "type": "object" }, "name": { "type": "string" } }, "type": "object" }, "result_schema": { "additionalProperties": false, "type": "object" } }} type
Type of resource (always ‘agent_schema_version’)
string
Example
agent_schema_version updated_at
When the agent schema version was last updated
string format: date-time
Example
2024-01-01T00:00:00Z status
string
Example
successdefault
Section titled “default ”Error
One of:
object
code
string
Example
bad_request message
string
status
string
Example
errorobject
code
string
Example
validation_errors errors
message
string
status
string
Example
error